Developer Documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
OpenVolumeMesh::BoundaryItemIter< Iter, Handle > Class Template Reference
Inheritance diagram for OpenVolumeMesh::BoundaryItemIter< Iter, Handle >:

## Public Types
typedef BaseIterator< Handle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< Handle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const Handle | value_type
typedef const Handle * | pointer
typedef const Handle & | reference

## Public Member Functions
| BoundaryItemIter (const TopologyKernel *_mesh)
BoundaryItemIter | operator++ (int)
BoundaryItemIter | operator-- (int)
BoundaryItemIter | operator+ (int _n)
BoundaryItemIter | operator- (int _n)
BoundaryItemIter & | operator+= (int _n)
BoundaryItemIter & | operator-= (int _n)
BoundaryItemIter & | operator-- ()
BoundaryItemIter & | operator++ ()
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< Handle >
| BaseIterator (const TopologyKernel *_mesh, const Handle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const Handle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Member Functions
size_t | n_items () const
bool | has_incidences () const
template<>
size_t | n_items () const
template<>
size_t | n_items () const
template<>
size_t | n_items () const
template<>
size_t | n_items () const
template<>
size_t | n_items () const
template<>
size_t | n_items () const
template<>
bool | has_incidences () const
template<>
bool | has_incidences () const
template<>
bool | has_incidences () const
template<>
bool | has_incidences () const
template<>
bool | has_incidences () const
template<>
bool | has_incidences () const

## Private Attributes
Iter | it_
const Iter | it_begin_
const Iter | it_end_

## Detailed Description

### template<class Iter, class Handle>
class OpenVolumeMesh::BoundaryItemIter< Iter, Handle >

Definition at line 1495 of file Iterators.hh.

The documentation for this class was generated from the following file:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh